<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Operators & Expressions</title>

		<link rel="icon" type="image/png" href="images/org_symbol.png" />
		<link rel="stylesheet" href="css/reset.css">
		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/league.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/monokai.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div style="background:green; left:0; right:0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</div>

        <div class="reveal">
            <div class="slides">
                <!-- Introduction Section -->
                <section data-background-image="images/org_symbol.png" data-background-size="13%" data-background-position="top 5% left 5%">
                    <section>
                        <h1>Operators & Expressions</h1>    
                    </section>
                    <section>
                        <h2>Operators & Expressions Overview</h2>
                        <ul>
                            <li>Definitions</li>
                            <li>Arithmetic Operators</li>
                            <li>Relational Operators</li>
                            <li>Logical Operators</li>
                            <li>Assignment Operators</li>
                            <li>Order of Operations</li>
                        </ul>
                    </section>
                    <section>
                        <h2><a href=../objectives.html>Objectives</a></h2>
                    </section>
                </section>
                <!-- Definitions Section -->
                <section>   
                    <section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 5%">
                        <h2>Definitions</h2>

                        <aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>

                    <section>
                        <h2>Operand</h2>
                        <p>Values or variables used to evaluate an expression (e.g., 3.14, studentNumber, i)</p>
                    </section>

                    <section>
                        <h2>Operator</h2>
                        <p>A symbol that operates on a value or variable (*,/,+,-,=,<<, |)</p>
                    </section>

                    <section>
                        <h2>Expressions</h2>
                        <p>A combination of operands and operators</p>
                    </section>

                    <section>
                        <h2>Practice</h2>
                        <img src=../../assets/ops_practice.png>
                    </section>
                </section>
                <!-- Arithmitic Operators Section -->
                <section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 5%">
                    <section>
                        <h2>Arithmetic Operators</h2>

                        <aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
                        <h2>Operators List</h2>
                        <img src=../../assets/ops_table_1.png>
                    </section>
   
                    <section>
                        <h2>Arithmetic Operators Examples</h2>
                        <img src=../../assets/arithOpsEx.png>
                        <p style="font-size:18px">*Discussed Later</p>
                    </section>

                    <section>
                        <h2>Int vs Float Division</h2>
                        <div class="sl-block" data-block-type="code" data-name="code-081686"><div class="sl-block-content notranslate" data-highlight-theme="monokai" data-code-frame="none" style="z-index: 10;"><pre style="font-size: 16px; line-height: 19px;"><code data-line-numbers="">
int x = 5; int y = 3;                
////////// EXPRESS AS INTEGER //////////
5 / 3                // Result: 1
5.0 / 3              // Result: 1.666667
5 / 3.0              // Result: 1.666667

////////// TYPE CAST AS FLOAT //////////
(float)x / y         // Result: 1.666667
x / (float)y         // Result: 1.666667
(float)x / (float)y  // Result: 1.666667</code></pre></div></div>
                        
                    </section>

                    <section>
                        <h2>Modulo</h2>
                        <div class="sl-block" data-block-type="code" data-name="code-081686"><div class="sl-block-content notranslate" data-highlight-theme="monokai" data-code-frame="none" style="z-index: 10;"><pre style="font-size: 16px; line-height: 19px;"><code data-line-numbers="">
// MODULO EXAMPLES 
5 % 3                // Result: 2
27 % 16              // Result: 11
30 % 3               // Result: 0
4 % 7                // Result: 4

// Modulo Quiz 
35 % 3               // Result: ?
16 % 6               // Result: ?
1 % 199              // Result: ?</code></pre></div></div>
                        
                    </section>

                    <section>
                        <h2>Increment & Decrement</h2>
                        <div class="sl-block" data-block-type="code" data-name="code-081686"><div class="sl-block-content notranslate" data-highlight-theme="monokai" data-code-frame="none" style="z-index: 10;"><pre style="font-size: 16px; line-height: 19px;"><code data-line-numbers="">
int x = 5; int y = 3;

//////// INCREMENT ////////
x++                          // Result: 6; x = 5 + 1
++y                          // y = 3 + 1; Result: 4
++x                          // x = 6 + 1; Result: 7
x = 5; y = 3;                // Reset variables

//////// DECREMENT ////////
--y                          // y = 3 - 1; Result: 2
--x                          // x = 5 - 1; Result: 4
y--                          // Result: 1; y = 2 - 1</code></pre></div></div>
                        
                    </section>

                    <section>
                        <h2>Knowledge Check</h2>
                        <div class="sl-block" data-block-type="code" data-name="code-081686"><div class="sl-block-content notranslate" data-highlight-theme="monokai" data-code-frame="none" style="z-index: 10;"><pre style="font-size: 16px; line-height: 19px;"><code data-line-numbers="">
int x = 7;
int y = 4;
float z = 0;
// WRITE EACH RESULT 
z = x / y
x % y
y + x
y - x
-y
++x
y++
x--
--y
1 + 2 * (3 + y) + 5</code></pre></div></div>
                        
                    </section>

                </section>
                <!-- Relational Operators Section -->
                <section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 5%">
                    <section>
                        <h2>Relational Operators</h2>

                        <aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
                        <h2>Relational Operators Facts</h2>
                        <ul>
                            <li>Every comparison is an expression of data type int</li>
                            <li>Always yields a 1 or a 0</li>
                            <li>1 means True</li>
                            <li>0 means False</li>
                        </ul>
                    </section>

                    <section>
                        <h2>Relational Operators Table</h2>
                        <img src=../../assets/relOps.png>
                    </section>

                    <section>
                        <h2>Relational Operators Examples</h2>
                        <img src=../../assets/relOpsEx.png>
                    </section>

                    <section>
                        <h2>Knowledge Check</h2>
                        <div class="sl-block" data-block-type="code" data-name="code-081686"><div class="sl-block-content notranslate" data-highlight-theme="monokai" data-code-frame="none" style="z-index: 10;"><pre style="font-size: 16px; line-height: 19px;"><code data-line-numbers="">
int x = 2;
int y = 6;
// WRITE EACH RESULT
y < x
y <= x
y > x
y >= x
y == x
y != x
2 == y
6 != x
6 >= 2
2 < 6
x != y != 3 >= x            // Bonus</code></pre></div></div>

                    </section>

                </section>
                <!-- Logical Operators Section -->
                <section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 5%">
                    <section>
                        <h2>Logical Operators</h2>

                        <aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
                        <h2>Types of Logical Operators</h2>
                        <ul>
                            <li>Conjunction (AND)</li>
                            <li>Disjunction (OR)</li>
                            <li>Negation (NOT)</li>
                        </ul>
                    </section>
                    
                    <section>
                        <h2>Logical Operators in C</h2>
                        <img src=../../assets/logOps.png>
                    </section>

                    <section>
                        <h2>Logical Operators Examples</h2>
                        <img src=../../assets/logOpsEx.png>
                    </section>

                    <section>
                        <h2>Knowledge Check</h2>
                        <div class="sl-block" data-block-type="code" data-name="code-081686"><div class="sl-block-content notranslate" data-highlight-theme="monokai" data-code-frame="none" style="z-index: 10;"><pre style="font-size: 16px; line-height: 19px;"><code data-line-numbers="">
int x = 99;
iny y = 0;

// WRITE EACH RESULT
x && y
y || x
!y
y && 0
x || 42
!x
x && x
y || y
!1
1 && 1
(0 && 1) || (2 && 3)        // Bonus</code></pre></div></div>
                    </section>
                </section>
                <!-- Assignment Operators Section -->
                <section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 5%">
                    <section>
                        <h2>Assignment Operators</h2>

                        <aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
                        <h2>Types of Assignment Operators</h2>
                        <ul>
                            <li><b>Simple Assignment</b>: x = 7, y = x</li>
                            <li><b>Compound Assignment</b>: x += 1, y *=x z</li>
                        </ul>
                    </section>

                    <section>
                        <h2>Assignment Examples</h2>
                        <img src="../../assets/assignmentex.png">
                    </section>

                    <section>
                        <h2>Knowledge Check</h2>
                            <div class="sl-block" data-block-type="code" data-name="code-081686"><div class="sl-block-content notranslate" data-highlight-theme="monokai" data-code-frame="none" style="z-index: 10;"><pre style="font-size: 16px; line-height: 19px;"><code data-line-numbers="">
int x = 9;
int y = 3;
// WRITE EACH VALUE OF X

x *- y
x /= y
x %= y
x += y
x -= y
x *= ++y
x /= y--
x %= --x
x += --y
x -= y++
(y %= y) || (x /= x--)        // Bonus</code></pre></div></div>
                    </section>
                </section>
                <!-- Precedence Section -->
                <section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 5%">
                    <section>
                        <h2>Precedence</h2>

                        <aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
                        <h2>Order of Operations</h2>
                        <img src="../../assets/opsChart.png" style="width:50%">
                    </section>
                </section>

                <section>
                    <h2>Performance Lab</h2>
                </section>

                <section>
                    <h2>Performance Check</h2>
                </section>

                <!-- Conclusion Section -->
                <section data-background-image="images/org_symbol.png" data-background-size="13%" data-background-position="top 5% left 5%">
                    <section>
                        <h2>Questions?</h2>
                    </section>
                    <section data-background-image="images/org_symbol.png" data-background-size="13%" data-background-position="top 5% left 5%">
                        <h2>Summary</h2>
                        <ul>
                            <li>Definitions</li>
                            <li>Arithmetic Operators</li>
                            <li>Relational Operators</li>
                            <li>Logical Operators</li>
                            <li>Assignment Operators</li>
                            <li>Order of Operations</li>
                        </ul>
                    </section>
                </section>
            </div>
        </div>

        <footer style="background:green; left:0; right:0; bottom: 0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</footer>	
			
			
		<script src="js/reveal.js"></script>

		<script>
			// More info about config & dependencies:
			// - https://github.com/hakimel/reveal.js#configuration
			// - https://github.com/hakimel/reveal.js#dependencies
			Reveal.initialize({
				hash: true,
				menu: {
					// Specifies which side of the presentation the menu will 
					// be shown. Use 'left' or 'right'.
					side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: 'normal',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: true,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

        // If slides do not have a matching title, attempt to use the
        // start of the text content as the title instead
        useTextContentForMissingTitles: false,

        // Hide slides from the menu that do not have a title.
        // Set to 'true' to only list slides with titles.
        hideMissingTitles: false,

        // Adds markers to the slide titles to indicate the 
        // progress through the presentation. Set to 'false'
        // to hide the markers.
        markers: true,

        // Specify custom panels to be included in the menu, by
        // providing an array of objects with 'title', 'icon'
        // properties, and either a 'src' or 'content' property.
        custom: false,

        // Specifies the themes that will be available in the themes
        // menu panel. Set to 'true' to show the themes menu panel
        // with the default themes list. Alternatively, provide an
        // array to specify the themes to make available in the
        // themes menu panel, for example...
        // [
        //     { name: 'Black', theme: 'css/theme/black.css' },
        //     { name: 'White', theme: 'css/theme/white.css' },
        //     { name: 'League', theme: 'css/theme/league.css' }
        // ]
        themes: true,

        // Specifies the path to the default theme files. If your
        // presentation uses a different path to the standard reveal
        // layout then you need to provide this option, but only
        // when 'themes' is set to 'true'. If you provide your own 
        // list of themes or 'themes' is set to 'false' the 
        // 'themesPath' option is ignored.
        themesPath: 'css/theme/',

        // Specifies if the transitions menu panel will be shown.
        // Set to 'true' to show the transitions menu panel with
        // the default transitions list. Alternatively, provide an
        // array to specify the transitions to make available in
        // the transitions panel, for example...
        // ['None', 'Fade', 'Slide']
        transitions: true,

        // Adds a menu button to the slides to open the menu panel.
        // Set to 'false' to hide the button.
        openButton: true,

        // If 'true' allows the slide number in the presentation to
        // open the menu panel. The reveal.js slideNumber option must 
        // be displayed for this to take effect
        openSlideNumber: true,

        // If true allows the user to open and navigate the menu using
        // the keyboard. Standard keyboard interaction with reveal
        // will be disabled while the menu is open.
        keyboard: true,

        // Normally the menu will close on user actions such as
        // selecting a menu item, or clicking the presentation area.
        // If 'true', the sticky option will leave the menu open
        // until it is explicitly closed, that is, using the close
        // button or pressing the ESC or m key (when the keyboard 
        // interaction option is enabled).
        sticky: true,

        // If 'true' standard menu items will be automatically opened
        // when navigating using the keyboard. Note: this only takes 
        // effect when both the 'keyboard' and 'sticky' options are enabled.
        autoOpen: true,

        // If 'true' the menu will not be created until it is explicitly
        // requested by calling RevealMenu.init(). Note this will delay
        // the creation of all menu panels, including custom panels, and
        // the menu button.
        delayInit: false,

        // If 'true' the menu will be shown when the menu is initialised.
        openOnInit: false,

        // By default the menu will load it's own font-awesome library
        // icons. If your presentation needs to load a different
        // font-awesome library the 'loadIcons' option can be set to false
        // and the menu will not attempt to load the font-awesome library.
        loadIcons: true
    },
    dependencies: [
        { src: 'plugin/markdown/marked.js' },
        { src: 'plugin/markdown/markdown.js' },
        { src: 'plugin/highlight/highlight.js' },
        { src: 'plugin/notes/notes.js', async: true },
        { src: 'plugin/reveal.js-menu/menu.js' }
    ]
});
</script>
</body>
</html>
